#!/usr/bin/R

# Xavier Fernández i Marín
# http://xavier-fim.net
# dg feb 16 11:01:53 CET 2014

library(openxlsx)
d <- read.xlsx("./POLCON_2017.xlsx", sheet = 1)

dim(d)
str(d)
names(d)


# polity_country: matches POLITY datasets
# ctrynm: matches World Bank datasets

unique(d[,c("cnts_country", "polity_country", "ctrynm")])


d <- d[,c("ctrynm", "polity_country", "year", "polconiii")]
names(d) <- c("country.wb", "country.polity", "year", "polcon")

polcon <- d
save(polcon, file="polcon2017.RData")

