#!/usr/bin/R

# Xavier Fernández i Marín
# http://xavier-fim.net
# dj feb 27 09:45:33 CET 2014


# http://databank.worldbank.org/data/views/variableselection/selectvariables.aspx?source=worldwide-governance-indicators#

# xls file contains metadata.
# csv file is really the selected 24 countries, years from consensus and only the series on government effectiveness

library(reshape2)

d <- read.csv("./30cf8963-8820-47fa-9199-17e53a0afc51.csv", sep=",", quote="\"", header=TRUE)
str(d)

d <- d[,-c(2, 3, 4)]
names(d)[1] <- "country"

dl <- melt(d, id.vars="country", variable.name="year")
dl$year <- gsub("X", "", dl$year)
dl$year <- as.numeric(dl$year)

str(dl)

gov.eff <- dl
save(gov.eff, file="government_effectiveness.RData")

